#ifndef CRYPTO_MINI_TEST_H
#define CRYPTO_MINI_TEST_H
#include <stdbool.h>

void start_tests(char *group_name);

void end_tests();

void run_test(const char *tests_name, bool (*test_fn)(void));

bool assert_true(bool condition, const char *message, ...);

bool assert_false(bool condition, const char *message, ...);

#endif //CRYPTO_MINI_TEST_H
